Subject: Re: bug#30130: Add ‘guix whereis’ command

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 17 Dec 2018 13:03:38 +0100

> This could be solved by a new field in the package-record: (provides
> '("list of commands provided"))

The danger with doing this in a package definition is that it can easily
go out of sync unless we also add a verification phase to compare the
output with the list of provided executables.  Another problem is that
the list might not be complete and it is yet another manual thing to
maintain for all packages.

Another approach is to shift this task to substitute servers.

> E.g. right now in my guixsd I have no "file" command. I have no idea
> which package installs it. :p

The confusingly named “file” package provides the “file” executable ;)

--
Ricardo